VMTKMESHCLIPPER(1)

NAME
vmtkmeshclipper - vmtk script vmtkmeshclipper

DESCRIPTION
Automatic piping vmtkmeshclipper Parsing options vmtkmeshclipper

vmtkmeshclipper : interactively clip a mesh with a box

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-insideout InsideOut (bool,1); default=0: toggle switching output

    and clipped surfaces

-interactive Interactive (bool,1); default=1: toggle clipping with

    a widget or with a pre-defined scalar field

-array ClipArrayName (str,1); default=None: name of the array with

    which to clip in case of non-interactive clipping

-value ClipValue (float,1); default=0.0: scalar value at which to

    perform clipping in case of non-interactive clipping

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

-oclippedfile ClippedMeshOutputFileName (str,1): filename for the

    default ClippedMesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-osurface Surface (vtkPolyData,1): the output surface corresponding

    to the cut

-oclipped ClippedMesh (vtkUnstructuredGrid,1): the clipped mesh